[arch-commits] Commit in gauche/repos (3 files)
Felix Yan
felixonmars at archlinux.org
Fri Jan 5 04:51:48 UTC 2018
Date: Friday, January 5, 2018 @ 04:51:42
Author: felixonmars
Revision: 278815
archrelease: copy trunk to community-staging-x86_64
Added:
gauche/repos/community-staging-x86_64/
gauche/repos/community-staging-x86_64/PKGBUILD
(from rev 278814, gauche/trunk/PKGBUILD)
gauche/repos/community-staging-x86_64/gauche.install
(from rev 278814, gauche/trunk/gauche.install)
----------------+
PKGBUILD | 38 ++++++++++++++++++++++++++++++++++++++
gauche.install | 21 +++++++++++++++++++++
2 files changed, 59 insertions(+)
Copied: gauche/repos/community-staging-x86_64/PKGBUILD (from rev 278814, gauche/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2018-01-05 04:51:42 UTC (rev 278815)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Alexander F Rødseth <xyproto at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Motohiro Ueki <ueki.com at gmail.com>
+# Contributor: nkoizu <nkoizu at gmail.com>
+
+pkgname=gauche
+pkgver=0.9.5
+pkgrel=3
+url='https://practical-scheme.net/gauche/'
+pkgdesc='R5RS Scheme implementation (provides gosh)'
+depends=('slib' 'libatomic_ops')
+license=('BSD')
+arch=('x86_64')
+install=$pkgname.install
+source=("https://downloads.sourceforge.net/$pkgname/Gauche-$pkgver.tgz")
+sha512sums=('6d853d734c7a56a86f0015b1bfef378803d6acc1e0405ed841eab5afc08d1edef736d85df10c86d75fd5fb6b2def684bb1f2095a019133b9f497192f5511197a')
+
+prepare() {
+ ln -sf "Gauche-$pkgver" "$pkgname-$pkgver"
+}
+
+build() {
+ cd "$pkgname-$pkgver"
+
+ ./configure --enable-multibyte=utf-8 --prefix=/usr
+ make
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+
+ make DESTDIR="$pkgdir" install-pkg install-doc
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+
+# getver: practical-scheme.net/gauche/gmemo/index.cgi?ReleaseNotes
+# vim:set ts=2 sw=2 et:
Copied: gauche/repos/community-staging-x86_64/gauche.install (from rev 278814, gauche/trunk/gauche.install)
===================================================================
--- community-staging-x86_64/gauche.install (rev 0)
+++ community-staging-x86_64/gauche.install 2018-01-05 04:51:42 UTC (rev 278815)
@@ -0,0 +1,21 @@
+infodir=/usr/share/info
+filelist=(gauche-refe.info gauche-refj.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+ /usr/bin/gosh -ftest -uslib -E"require 'new-catalog" -Eexit;
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list